Build #3 for higher-leveldb-0.6.0.0

[all reports]

Package higher-leveldb-0.6.0.0
Install DependencyFailed higher-leveldb-0.6.0.0
Docs NotTried
Tests NotTried
Time submitted 2020-03-18 19:43:06.86049699 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies base-4.12.0.0, bytestring-0.10.8.2, cereal-0.5.8.1, data-default-0.7.1.1, exceptions-0.10.4, leveldb-haskell-0.6.5, mtl-2.2.2, resourcet-1.2.3, transformers-0.5.5.0, transformers-base-0.4.5.2, unliftio-core-0.2.0.1
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     data-default-class-0.1.2.0
Starting     cereal-0.5.8.1
Starting     dlist-0.8.0.7
Starting     base-orphans-0.8.2
Building     data-default-class-0.1.2.0
Building     cereal-0.5.8.1
Building     base-orphans-0.8.2
Building     dlist-0.8.0.7
Completed    data-default-class-0.1.2.0
Starting     exceptions-0.10.4
Building     exceptions-0.10.4
Completed    dlist-0.8.0.7
Starting     old-locale-1.0.0.7
Building     old-locale-1.0.0.7
Completed    base-orphans-0.8.2
Starting     primitive-0.7.0.1
Completed    old-locale-1.0.0.7
Starting     transformers-compat-0.6.5
Building     primitive-0.7.0.1
Building     transformers-compat-0.6.5
Completed    exceptions-0.10.4
Starting     unliftio-core-0.2.0.1
Building     unliftio-core-0.2.0.1
Completed    cereal-0.5.8.1
Starting     data-default-instances-containers-0.0.1
Building     data-default-instances-containers-0.0.1
Completed    unliftio-core-0.2.0.1
Starting     data-default-instances-dlist-0.0.1
Completed    transformers-compat-0.6.5
Starting     data-default-instances-old-locale-0.0.1
Building     data-default-instances-dlist-0.0.1
Completed    data-default-instances-containers-0.0.1
Starting     transformers-base-0.4.5.2
Building     data-default-instances-old-locale-0.0.1
Building     transformers-base-0.4.5.2
Completed    data-default-instances-dlist-0.0.1
Completed    data-default-instances-old-locale-0.0.1
Starting     data-default-0.7.1.1
Building     data-default-0.7.1.1
Completed    transformers-base-0.4.5.2
Completed    data-default-0.7.1.1
Completed    primitive-0.7.0.1
Starting     resourcet-1.2.3
Building     resourcet-1.2.3
Completed    resourcet-1.2.3
Starting     leveldb-haskell-0.6.5
Failed to install leveldb-haskell-0.6.5
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/leveldb-haskell-0.6.5-1urN0kcahJP8Lji9Lyf5Kc.log ):
cabal: Entering directory '/tmp/cabal-tmp-22525/leveldb-haskell-0.6.5'
Configuring leveldb-haskell-0.6.5...
cabal: Missing dependency on a foreign library:
* Missing (or bad) C library: leveldb
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-22525/leveldb-haskell-0.6.5'
cabal: Error: some packages failed to install:
higher-leveldb-0.6.0.0-GSG4xKrlsU1LfSJAT0GXZZ depends on
higher-leveldb-0.6.0.0 which failed to install.
leveldb-haskell-0.6.5-1urN0kcahJP8Lji9Lyf5Kc failed during the configure step.
The exception was:
ExitFailure 1